Subject: Re: Incorrect git-blame result if I use full path to file

From: Junio C Hamano <[email-masked]>
Date: Sun, 02 Dec 2007 18:40:36 -0800

Jeff King <[email-masked]> writes:

> IOW, it's not intended for users to use absolute paths in this way.
> However, the results for git-blame are obviously quite confusing. It
> might be worth fixing, but I suspect there are many more such traps
> waiting in other commands. I wonder if it would make sense to reject
> pathspecs starting with '/' entirely, which would at least give us a
> saner error message (and I can't think of a time when such a pathspec
> would be useful)?

All correct, except...

> Even more useful would be to convert
> /path/to/repo/file to 'file' internally.

... that might help "cut & paste from file manager" people, and I think
we had comment session for such a patch recently on the list.

Sorry, but I lost track of that the current status of that patch.  Did
it die?